### Required Commands
WHICH=which
GREP=grep

[ -n "$MLOGC_DBG" ] || MLOGC_DBG=0

### Search for a command and export it
_search_for_command() {
  var=$1
  shift
	if [ -z "$SEARCH_PATH" ]; then
		echo "ERROR: _search_for_command: Set SEARCH_PATH first" 1>&2
		exit 1
	fi
  real_path=$PATH
  PATH=$SEARCH_PATH; export PATH
  lastalt=
  for alt in "$@"; do
    lastalt=$alt
    # Grep to get around 'which' that puts errors on stdout (solaris)
    cmd=`$WHICH $alt 2> /dev/null | $GREP -v '^no '`
    [ "$MLOGC_DBG" -ne 0 ] && echo "$var[$alt]=$cmd" 1>&2
    ok=0
    if [ -n "$cmd" ]; then
      eval "$var=$cmd; export $var"
      [ "$MLOGC_DBG" -ne 0 ] && echo "$var=$cmd" 1>&2
      PATH=$real_path; export PATH
      return 1
    fi
  done
  PATH=$real_path; export PATH
  #eval "$var=$lastalt; export $var"
  eval "$var=; export $var"
  [ "$MLOGC_DBG" -ne 0 ] && echo "$var=$lastalt" 1>&2
  return 0
}
